=== util/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# util/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/lcat
pkglibdir = $(libdir)/lcat
pkgincludedir = $(includedir)/lcat
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
bin_PROGRAMS = cloopoptimizer$(EXEEXT) cloopreadahead$(EXEEXT) \
	rblk2bl$(EXEEXT) appblk2bl$(EXEEXT) \
	extract_compressed_opt_fs$(EXEEXT) $(am__EXEEXT_1)
am__append_1 = cloopprofiler
am__append_2 = ${GTK_CFLAGS} ${GTHREAD_CFLAGS}
subdir = util
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
am__EXEEXT_1 = cloopprofiler$(EXEEXT)
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_appblk2bl_OBJECTS = cloop_optimizer.$(OBJEXT) appblk2bl.$(OBJEXT) \
	log2list.$(OBJEXT)
appblk2bl_OBJECTS = $(am_appblk2bl_OBJECTS)
appblk2bl_LDADD = $(LDADD)
am_cloopoptimizer_OBJECTS = cloop_optimizer.$(OBJEXT) \
	cloopoptimizer.$(OBJEXT)
cloopoptimizer_OBJECTS = $(am_cloopoptimizer_OBJECTS)
cloopoptimizer_LDADD = $(LDADD)
am_cloopprofiler_OBJECTS = cloop_optimizer.$(OBJEXT) \
	log2list.$(OBJEXT) support.$(OBJEXT) interface.$(OBJEXT) \
	callbacks.$(OBJEXT) cloopprofiler.$(OBJEXT)
cloopprofiler_OBJECTS = $(am_cloopprofiler_OBJECTS)
am__DEPENDENCIES_1 =
cloopprofiler_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_cloopreadahead_OBJECTS = cloopreadahead.$(OBJEXT)
cloopreadahead_OBJECTS = $(am_cloopreadahead_OBJECTS)
cloopreadahead_LDADD = $(LDADD)
am_extract_compressed_opt_fs_OBJECTS =  \
	extract_compressed_opt_fs.$(OBJEXT)
extract_compressed_opt_fs_OBJECTS =  \
	$(am_extract_compressed_opt_fs_OBJECTS)
extract_compressed_opt_fs_DEPENDENCIES =
am_rblk2bl_OBJECTS = cloop_optimizer.$(OBJEXT) rblk2bl.$(OBJEXT) \
	log2list.$(OBJEXT)
rblk2bl_OBJECTS = $(am_rblk2bl_OBJECTS)
rblk2bl_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(appblk2bl_SOURCES) $(cloopoptimizer_SOURCES) \
	$(cloopprofiler_SOURCES) $(cloopreadahead_SOURCES) \
	$(extract_compressed_opt_fs_SOURCES) $(rblk2bl_SOURCES)
DIST_SOURCES = $(appblk2bl_SOURCES) $(cloopoptimizer_SOURCES) \
	$(cloopprofiler_SOURCES) $(cloopreadahead_SOURCES) \
	$(extract_compressed_opt_fs_SOURCES) $(rblk2bl_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run autoconf
AUTOHEADER = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run autoheader
AUTOMAKE = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run automake-1.9
AWK = gawk
CATALOGS = 
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
GETTEXT_PACKAGE = lcat
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -lglib-2.0  
GLIB_MKENUMS = glib-mkenums
GMOFILES = 
GMSGFMT = /usr/bin/msgfmt
GOBJECT_QUERY = gobject-query
GREP = /bin/grep
GTHREAD_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTHREAD_LIBS = -pthread -lgthread-2.0 -lglib-2.0  
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXfixes -lpango-1.0 -lcairo -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HAVE_GTK_FALSE = #
HAVE_GTK_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
LDFLAGS = 
LIBOBJS =  ${LIBOBJDIR}mktime$U.o
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS =  ${LIBOBJDIR}mktime$U.lo
MAKEINFO = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
OBJEXT = o
PACKAGE = lcat
PACKAGE_BUGREPORT = 
PACKAGE_NAME = lcat
PACKAGE_STRING = lcat 1.0.0
PACKAGE_TARNAME = lcat
PACKAGE_VERSION = 1.0.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
POFILES = 
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_NLS = yes
VERSION = 1.0.0
XGETTEXT = /usr/bin/xgettext
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /ramdisk/home/knoppix/lcat_1.0-2.05/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = /usr/local/share/lcat/icons
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs =  cloop-2.05-opt
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
INCLUDES = \
	-DDATADIR=\""\$(datadir)"\"\
	-DPACKAGE_DATA_DIR=\""$(datadir)"\"\
	-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\"\
	-DGNOME_ICONDIR=\""$(datadir)/icons"\"

#STRIP = /usr/bin/strip
AM_CFLAGS = -Wall -O2 -g $(am__append_2)
#	$(STRIP) -s $(bin_PROGRAMS)
cloopoptimizer_SOURCES = cloop_optimizer.c cloop_optimizer.h \
			 cloopoptimizer.c

cloopreadahead_SOURCES = compressed_loop.h cloopreadahead.c
cloopreadahead_LDFLAGS = -all-static
rblk2bl_SOURCES = cloop_optimizer.h cloop_optimizer.c\
		  rblk2bl.c log2list.c 

appblk2bl_SOURCES = cloop_optimizer.h cloop_optimizer.c \
		    appblk2bl.c log2list.c 

extract_compressed_opt_fs_SOURCES = extract_compressed_opt_fs.c
extract_compressed_opt_fs_LDADD = -lz
cloopprofiler_SOURCES = cloop_optimizer.c cloop_optimzer.h\
			log2list.c log2list.h \
			support.c support.h \
			interface.c \
			callbacks.c callbacks.h\
			cloopprofiler.c  cloopprofiler.h

cloopprofiler_LDADD = ${GTK_LIBS} ${GTHREAD_LIBS}
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  util/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  util/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status util/config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
appblk2bl$(EXEEXT): $(appblk2bl_OBJECTS) $(appblk2bl_DEPENDENCIES) 
	@rm -f appblk2bl$(EXEEXT)
	$(LINK) $(appblk2bl_LDFLAGS) $(appblk2bl_OBJECTS) $(appblk2bl_LDADD) $(LIBS)
cloopoptimizer$(EXEEXT): $(cloopoptimizer_OBJECTS) $(cloopoptimizer_DEPENDENCIES) 
	@rm -f cloopoptimizer$(EXEEXT)
	$(LINK) $(cloopoptimizer_LDFLAGS) $(cloopoptimizer_OBJECTS) $(cloopoptimizer_LDADD) $(LIBS)
