=== debian/control ===
Source: cloop
Section: misc
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>> 3.0.0), zlib1g-dev, module-assistant, bzip2
Standards-Version: 3.6.2.1

Package: cloop-utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Tools for handling with cloop compressed volumes
 Utilities for creating and unpacking compressed loopback files
 for cloop.

Package: cloop-src
Architecture: all
Depends: module-assistant, bzip2
Suggests: linux-headers-2.6
Description: Source of the compressed loopback device module
 This package contains a source package for building the the cloop module.
 You can use make-kpkg to build a modules package for specific kernel.
